Retrieve subscription details

Check the configuration of a subscription to the PCN.

circle-info

Read our guideline to use the PCN here: [New] Product Change Notifications API

get
/product-change-notification/{subscription_id}
Path parameters
subscription_idstringRequired

Unique ID of your subscription.

Header parameters
AuthorizationstringRequired

Token <Your_API_Key>.

Default: Token <Partner_API_key>.
Responses
chevron-right
200

Subscription successfully retrieved.

application/json

Request body used to subscribe to product change notifications.

subscription_typestring · enumRequired

Scope of the subscription.

Example: product_idsPossible values:
entity_idsinteger[] · min: 1Optional

Unique identifiers for the entities that belong to the selected subscription scope.

Example: 974081
callback_urlstring · uriRequired

HTTP or HTTPS endpoint where Tiqets will send the product change notifications.

Example: https://example-partner.com/webhooks/product-change
subscription_idstringRequired

Unique identifier assigned to the subscription.

statusstring · enumRequired

Current lifecycle status of the subscription.

Possible values:
get
/product-change-notification/{subscription_id}
200

Subscription successfully retrieved.

Last updated

Was this helpful?